Bug 1273845 - kernel: Use after free in ep_remove_wait_queue
Summary: kernel: Use after free in ep_remove_wait_queue
Keywords:
Status: CLOSED DUPLICATE of bug 1282688
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1273846
TreeView+ depends on / blocked
 
Reported: 2015-10-21 11:44 UTC by Adam Mariš
Modified: 2019-09-29 13:38 UTC (History)
34 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-18 04:34:26 UTC


Attachments (Terms of Use)

Description Adam Mariš 2015-10-21 11:44:31 UTC
A use-after-free vulnerability causing memory corruption was found in kernel.

Reproducer with report can be found here:

https://groups.google.com/forum/#!topic/syzkaller/3twDUI4Cpm8

Patch can be found here:

http://article.gmane.org/gmane.linux.kernel/2057498

Comment 1 Josh Boyer 2015-10-21 12:45:34 UTC
The patches don't compile and there's still on-going discussion on the correct solution.  I believe we're waiting for Jason to send a v5 of the series.


Note You need to log in before you can comment on or make changes to this bug.